Subject: bug#74750: clone-frame and make-frame pixelwise issues

From: martin rudalics <[email-masked]>
Date: Mon, 16 Dec 2024 17:07:28 +0100

> That patch seems to work. Thank you, Martin. I tested on NS with and
 > without vertical scroll bars and with and without fringes. A basic test of
 > frameset-save and frameset-restore now seem to correctly respect its
 > embedded text-pixel geometry.

Installed on master.  The purpose of the slots I removed was likely that
I originally planned to implement something like

(width . (outer-pixels . ...))
(height . (outer-pixels . ...))

in which case any implied resizing should have been completely inhibited
during the entire initial phase.  But I never did that.

'make-frame' might still need some tweaking for the tool bar when
'frame-inhibit-implied-resize' is non-nil.  I'll have to look into that.

martin